cudnn_frontend::Engine_v8::Knob Class Reference
Collaboration diagram for cudnn_frontend::Engine_v8::Knob:

## Public Member Functions

| Knob (cudnnBackendKnobType_t type_, int64_t max, int64_t min, int64_t stride_)
std::string | describe () const
void | setChoice (uint64_t val_)
int64_t | getChoice () const
cudnnBackendKnobType_t | getKnobType () const
int64_t | getMinValue () const
int64_t | getMaxValue () const
int64_t | getStride () const

## Private Attributes

cudnnBackendKnobType_t | knobType = CUDNN_KNOB_TYPE_COUNTS
int64_t | maxValue = 0
int64_t | minValue = 0
int64_t | stride = 0
| min, max and stride of the knob value More...
int64_t | choice = -1
| Choice set by the user. More...

## Detailed Description

Internal class which controls the different knobs for a given engine Has min-max and stride as the options. User has the option to set the required value as a choice.

Definition at line 62 of file cudnn_frontend_Engine.h.

## Constructor & Destructor Documentation

## Knob()

cudnn_frontend::Engine_v8::Knob::Knob | ( | cudnnBackendKnobType_t | type_,
|  | int64_t | max,
|  | int64_t | min,
|  | int64_t | stride_
| ) |  |

inline

Definition at line 64 of file cudnn_frontend_Engine.h.

Referenced by cudnn_frontend::Engine_v8::buildKnobs().

## Member Function Documentation

## describe()

std::string cudnn_frontend::Engine_v8::Knob::describe | ( |  | ) | const

inline

Definition at line 68 of file cudnn_frontend_Engine.h.

References knobType, maxValue, minValue, and stride.

## getChoice()

int64_t cudnn_frontend::Engine_v8::Knob::getChoice | ( |  | ) | const

inline

Definition at line 83 of file cudnn_frontend_Engine.h.

References choice.

Referenced by cudnn_frontend::Engine_v8::knobs_set().

## getKnobType()

cudnnBackendKnobType_t cudnn_frontend::Engine_v8::Knob::getKnobType | ( |  | ) | const

inline

Definition at line 88 of file cudnn_frontend_Engine.h.

References knobType.

## getMaxValue()

int64_t cudnn_frontend::Engine_v8::Knob::getMaxValue | ( |  | ) | const

inline

Definition at line 98 of file cudnn_frontend_Engine.h.

References minValue.

## getMinValue()

int64_t cudnn_frontend::Engine_v8::Knob::getMinValue | ( |  | ) | const

inline

Definition at line 93 of file cudnn_frontend_Engine.h.

References minValue.

## getStride()

int64_t cudnn_frontend::Engine_v8::Knob::getStride | ( |  | ) | const

inline

Definition at line 103 of file cudnn_frontend_Engine.h.

References stride.

## setChoice()

void cudnn_frontend::Engine_v8::Knob::setChoice | ( | uint64_t | val_ | ) |

inline

Definition at line 78 of file cudnn_frontend_Engine.h.

References choice.

## Member Data Documentation

## choice

int64_t cudnn_frontend::Engine_v8::Knob::choice = -1

private

Choice set by the user.

Definition at line 110 of file cudnn_frontend_Engine.h.

Referenced by getChoice(), and setChoice().

## knobType

cudnnBackendKnobType_t cudnn_frontend::Engine_v8::Knob::knobType = CUDNN_KNOB_TYPE_COUNTS

private

Definition at line 108 of file cudnn_frontend_Engine.h.

Referenced by describe(), and getKnobType().

## maxValue

int64_t cudnn_frontend::Engine_v8::Knob::maxValue = 0

private

Definition at line 109 of file cudnn_frontend_Engine.h.

Referenced by cudnn_frontend::Engine_v8::buildKnobs(), and describe().

## minValue

int64_t cudnn_frontend::Engine_v8::Knob::minValue = 0

private

Definition at line 109 of file cudnn_frontend_Engine.h.

Referenced by cudnn_frontend::Engine_v8::buildKnobs(), describe(), getMaxValue(), and getMinValue().

## stride

int64_t cudnn_frontend::Engine_v8::Knob::stride = 0

private

min, max and stride of the knob value

Definition at line 109 of file cudnn_frontend_Engine.h.

Referenced by cudnn_frontend::Engine_v8::buildKnobs(), describe(), and getStride().

The documentation for this class was generated from the following file:

- cudnn_frontend_Engine.h